Resolve a request
Authorization
bearerAuth AuthorizationBearer <token>
Instance secret token
In: header
Path Parameters
requestId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
[key: string]?unknown
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/v1/requests/req_123/resolve" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'{
"id": "string",
"chat_id": "string",
"type": "choice",
"status": "pending",
"title": "string",
"body": "string",
"config": {
"property1": null,
"property2": null
},
"created_at": "2019-08-24T14:15:22Z",
"resolved_at": "2019-08-24T14:15:22Z",
"resolved_by": "string",
"resolution_payload": {
"property1": null,
"property2": null
},
"trace": {
"property1": null,
"property2": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request.",
"details": null
}
}